com.r3corda.core.testing / TransactionGroupDSL / Roots

# Roots

`inner class Roots<T : ContractState>`

### Constructors

<init> | `Roots()`

### Functions

roots | `fun roots(body: Roots<T>.() -> Unit): Unit` Note: Dont delete, this is intended to trigger compiler diagnostic when the DSL primitive is used in the wrong place
transaction | `fun transaction(vararg outputStates: LabeledOutput): Roots<T>``fun transaction(body: WireTransactionDSL<T>.() -> Unit): Unit` Note: Dont delete, this is intended to trigger compiler diagnostic when the DSL primitive is used in the wrong place